﻿% This file was created with Citavi 6.3.0.0

@article{.,
 title = {D-Wave 2000Q Tech Collateral{\_}1029F}
}


@book{Hahanov.2018,
 year = {2018},
 title = {Cyber Physical Computing for IoT-driven Services},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-54824-1},
 editor = {Hahanov, Vladimir},
 doi = {10.1007/978-3-319-54825-8}
}


@incollection{Hahanov.2018b,
 author = {Hahanov, Vladimir and Amer, Tamer Bani and Iemelianov, Igor and Liubarskyi, Mykhailo},
 title = {Quantum Computing for Test Synthesis},
 pages = {95--134},
 volume = {32},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-54824-1},
 editor = {Hahanov, Vladimir},
 booktitle = {Cyber Physical Computing for IoT-driven Services},
 year = {2018},
 address = {Cham},
 doi = {10.1007/978-3-319-54825-8{\textunderscore }5}
}


@article{Ying.2019,
 author = {Ying, Mingsheng},
 year = {2019},
 title = {Toward automatic verification of quantum programs},
 pages = {3--25},
 volume = {31},
 number = {1},
 issn = {0934-5043},
 journal = {Formal Aspects of Computing},
 doi = {10.1007/s00165-018-0465-3}
}


@incollection{Liu.2019,
 author = {Liu, Junyi and Zhan, Bohua and Wang, Shuling and Ying, Shenggang and Liu, Tao and Li, Yangjia and Ying, Mingsheng and Zhan, Naijun},
 title = {Formal Verification of Quantum Algorithms Using Quantum Hoare Logic},
 pages = {187--207},
 volume = {11562},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-030-25542-8},
 series = {Lecture Notes in Computer Science},
 editor = {Dillig, Isil and Tasiran, Serdar},
 booktitle = {Computer Aided Verification},
 year = {2019},
 address = {Cham},
 doi = {10.1007/978-3-030-25543-5{\textunderscore }12}
}


@misc{McCorkell.2018,
 author = {McCorkell, Robbie},
 year = {2018},
 title = {Programming a quantum computer: generating true random numbers},
 url = {https://blog.red-badger.com/2018/9/24/generate-true-random-numbers-with-a-quantum-computer},
 urldate = {24.6.2019}
}


@book{Miranda.2017,
 year = {2017},
 title = {Guide to Unconventional Computing for Music},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-49880-5},
 editor = {Miranda, Eduardo Reck},
 doi = {10.1007/978-3-319-49881-2}
}


@article{Miranskyy.,
 abstract = {A quantum computer (QC) can solve many computational problems more efficiently than a classic one. The field of QCs is growing: companies (such as DWave, IBM, Google, and Microsoft) are building QC offerings. We position that software engineers should look into defining a set of software engineering practices that apply to QC's software. To start this process, we give examples of challenges associated with testing such software and sketch potential solutions to some of these challenges.},
 author = {Miranskyy, Andriy and Zhang, Lei},
 title = {On Testing Quantum Programs},
 url = {http://arxiv.org/pdf/1812.09261v1},
 doi = {10.1109/ICSE-NIER.2019.00023}
}


@article{Monroe.1995,
 author = {Monroe and Meekhof and King and Itano and Wineland},
 year = {1995},
 title = {Demonstration of a fundamental quantum logic gate},
 pages = {4714--4717},
 volume = {75},
 number = {25},
 journal = {Physical review letters},
 doi = {10.1103/PhysRevLett.75.4714}
}


@article{Novak.2007,
 author = {Novak, Erich},
 year = {2007},
 title = {Was k{\"o}nnen Quantencomputer?},
 pages = {31--38},
 volume = {54},
 number = {1},
 issn = {0720-728X},
 journal = {Mathematische Semesterberichte},
 doi = {10.1007/s00591-006-0013-8}
}


@misc{Overton.2011,
 author = {Overton, Mark},
 year = {2011},
 title = {Fast, High-Quality, Parallel Random Number Generators},
 url = {http://www.drdobbs.com/tools/fast-high-quality-parallel-random-number/229625477}
}


@misc{Overton.2011b,
 author = {Overton, Mark},
 year = {2011},
 title = {Fast, High-Quality, Parallel Random-Number Generators: Comparing Implementations},
 url = {http://www.drdobbs.com/tools/fast-high-quality-parallel-random-number/231000484},
 urldate = {24.6.2019}
}


@article{Poulin.2015,
 abstract = {The simulation of molecules is a widely anticipated application of quantum computers. However, recent studies \cite{WBCH13a,HWBT14a} have cast a shadow on this hope by revealing that the complexity in gate count of such simulations increases with the number of spin orbitals $N$ as {\$}N{\^{}}8{\$}, which becomes prohibitive even for molecules of modest size {\$}N$\backslash$sim 100{\$}. This study was partly based on a scaling analysis of the Trotter step required for an ensemble of random artificial molecules. Here, we revisit this analysis and find instead that the scaling is closer to {\$}N{\^{}}6{\$} in worst case for real model molecules we have studied, indicating that the random ensemble fails to accurately capture the statistical properties of real-world molecules. Actual scaling may be significantly better than this due to averaging effects. We then present an alternative simulation scheme and show that it can sometimes outperform existing schemes, but that this possibility depends crucially on the details of the simulated molecule. We obtain further improvements using a version of the coalescing scheme of \cite{WBCH13a}; this scheme is based on using different Trotter steps for different terms. The method we use to bound the complexity of simulating a given molecule is efficient, in contrast to the approach of \cite{WBCH13a,HWBT14a} which relied on exponentially costly classical exact simulation.},
 author = {Poulin, David and Hastings, M. B. and Wecker, Dave and Wiebe, Nathan and Doherty, Andrew C. and Troyer, Matthias},
 year = {2015},
 title = {The Trotter Step Size Required for Accurate Quantum Simulation of  Quantum Chemistry},
 url = {http://arxiv.org/pdf/1406.4920v1},
 journal = {QIC 15}
}


@article{Pritchard.2014,
 author = {Pritchard, J. D. and Isaacs, J. A. and Beck, M. A. and McDermott, R. and Saffman, M.},
 year = {2014},
 title = {Hybrid atom-photon quantum gate in a superconducting microwave resonator},
 volume = {89},
 number = {1},
 issn = {1050-2947},
 journal = {Physical Review A},
 doi = {10.1103/PhysRevA.89.010301}
}


@article{Grover.1997,
 author = {Grover, Lov K.},
 year = {1997},
 title = {Quantum Mechanics Helps in Searching for a Needle in a Haystack},
 pages = {325--328},
 volume = {79},
 number = {2},
 issn = {1533-7146},
 journal = {Physical review letters},
 doi = {10.1103/PhysRevLett.79.325}
}


@article{Rdiger.2003,
 author = {Rdiger, Roland},
 year = {2003},
 title = {Quantenprogrammiersprachen},
 pages = {406--409},
 volume = {26},
 number = {6},
 issn = {0170-6012},
 journal = {Informatik-Spektrum},
 doi = {10.1007/s00287-003-0350-0}
}


@article{Saffman.2016,
 author = {Saffman, M.},
 year = {2016},
 title = {Quantum computing with atomic qubits and Rydberg interactions: progress and challenges},
 pages = {202001},
 volume = {49},
 number = {20},
 issn = {0953-4075},
 journal = {Journal of Physics B: Atomic, Molecular and Optical Physics},
 doi = {10.1088/0953-4075/49/20/202001}
}


@incollection{Sammak.2015,
 author = {Sammak, S. and Nouri, A. G. and Ansari, N. and Givi, P.},
 title = {Quantum Computing and Its Potential for Turbulence Simulations},
 pages = {124--132},
 volume = {549},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-25057-1},
 series = {Communications in Computer and Information Science},
 editor = {Danaev, Nargozy and Shokin, Yurii and Darkhan, Akhmed-Zaki},
 booktitle = {Mathematical Modeling of Technological Processes},
 year = {2015},
 address = {Cham},
 doi = {10.1007/978-3-319-25058-8{\textunderscore }13}
}


@article{Schaller.2010,
 abstract = {Exploiting the similarity between adiabatic quantum algorithms and quantum phase transitions, we argue that second-order transitions -- typically associated with broken or restored symmetries -- should be advantageous in comparison to first-order transitions. Guided by simple examples we construct an alternative adiabatic algorithm for the NP-complete problem {\em Exact Cover 3}. We show numerically that its average performance (for the considered cases up to {\$}{\cal O}\{20\}$ qubits) is better than that of the conventional scheme. The run-time of adiabatic algorithms is not just determined by the minimum value of the fundamental energy gap (between the ground state and the exited states), but also by its curvature at the critical point. The proposed symmetry-restoring adiabatic quantum algorithm only contains contributions linear and quadratic in the Pauli matrices and can be generalized to other problem Hamiltonians which are decomposed of terms involving one and two qubits. We show how the factoring problem can be cast into such a quadratic form. These findings suggest that adiabatic quantum algorithms can solve a large class of NP problems much faster than the Grover search routine (which corresponds to a first-order transition and yields a quadratic enhancement only).},
 author = {Schaller, Gernot and Sch{\"u}tzhold, Ralf},
 year = {2010},
 title = {The role of symmetries in adiabatic quantum algorithms},
 url = {http://arxiv.org/pdf/0708.1882v2},
 journal = {Quantum Information {\&} Computation 10}
}


@article{Shao.2019,
 author = {Shao, Changpeng and Li, Yang and Li, Hongbo},
 year = {2019},
 title = {Quantum Algorithm Design: Techniques and Applications},
 pages = {375--452},
 volume = {32},
 number = {1},
 issn = {1009-6124},
 journal = {Journal of Systems Science and Complexity},
 doi = {10.1007/s11424-019-9008-0}
}


@article{Shor.1997,
 author = {Shor, Peter W.},
 year = {1997},
 title = {Polynomial-Time Algorithms for Prime Factorization and Discrete Logarithms on a Quantum Computer},
 pages = {1484--1509},
 volume = {26},
 number = {5},
 issn = {0097-5397},
 journal = {SIAM Journal on Computing},
 doi = {10.1137/S0097539795293172}
}


@incollection{Silva.2018b,
 author = {Silva, Vladimir},
 title = {Enter the IBM Q Experience: A One-of-a-Kind Platform for Quantum Computing in the Cloud},
 pages = {77--141},
 publisher = {Apress},
 isbn = {978-1-4842-4217-9},
 editor = {Silva, Vladimir},
 booktitle = {Practical Quantum Computing for Developers},
 year = {2018},
 address = {Berkeley, CA},
 doi = {10.1007/978-1-4842-4218-6{\textunderscore }3}
}


@incollection{Silva.2018c,
 author = {Silva, Vladimir},
 title = {QISKit, Awesome SDK for Quantum Programming in Python},
 pages = {143--192},
 publisher = {Apress},
 isbn = {978-1-4842-4217-9},
 editor = {Silva, Vladimir},
 booktitle = {Practical Quantum Computing for Developers},
 year = {2018},
 address = {Berkeley, CA},
 doi = {10.1007/978-1-4842-4218-6{\textunderscore }4}
}


@misc{Smith.01.12.2014,
 abstract = {Despite the rich literature on quantum algorithms, there is a surprisingly small amount of coverage of their concrete logical design and implementation. Most resource estimation is done at the level of complexity analysis, but actual concrete numbers (of quantum gates, qubits, etc.) can differ by orders of magnitude. The line of work we present here is a formal framework to write, and reason about, quantum algorithms. Specifically, we designed a language, Quipper, with scalability in mind, and we are able to report actual resource counts for seven non-trivial algorithms found in the quantum computer science literature.},
 author = {Smith, Jonathan M. and Ross, Neil J. and Selinger, Peter and Valiron, Beno{\^i}t},
 date = {01.12.2014},
 title = {Quipper: Concrete Resource Estimation in Quantum Algorithms},
 url = {http://arxiv.org/pdf/1412.0625v1}
}


@misc{Wie.31.03.2014,
 abstract = {The two-qubit pure state is explicitly parameterized by three unit 2-spheres and a phase factor. For separable states, two of the three unit spheres are the Bloch spheres of each qubit. The third sphere parameterizes the degree and phase of concurrence, an entanglement measure. This sphere may be considered a variable complex imaginary unit where the stereographic projection maps the qubit-A Bloch sphere to a complex plane with this variable imaginary unit. This Bloch sphere model gives a consistent description of the two-qubit pure states for both separable and entangled states. We argue that the third sphere (entanglement sphere) parameterizes the nonlocal properties, entanglement and a nonlocal relative phase, while the local relative phases are parameterized by the azimuth angles of the two quasi-Bloch spheres. On these three unit spheres and a phase factor, the two-qubit pure states and unitary gates can be geometrically represented. Accomplished by means of Hopf fibration, the complex amplitudes of a two-qubit pure state and the Bloch sphere parameters are related by a single quaternionic relation.},
 author = {Wie, Chu-Ryang},
 date = {31.03.2014},
 title = {Bloch sphere model for two-qubit pure states},
 url = {http://arxiv.org/pdf/1403.8069v1}
}


@book{Williams.2011b,
 year = {2011},
 title = {Explorations in Quantum Computing},
 address = {London},
 publisher = {{Springer London}},
 isbn = {978-1-84628-886-9},
 series = {Texts in Computer Science},
 editor = {Williams, Colin P.},
 doi = {10.1007/978-1-84628-887-6}
}


@article{Xu.2012,
 author = {Xu, Nanyang and Zhu, Jing and Lu, Dawei and Zhou, Xianyi and Peng, Xinhua and Du, Jiangfeng},
 year = {2012},
 title = {Erratum: Quantum Factorization of 143 on a Dipolar-Coupling Nuclear Magnetic Resonance System [Phys. Rev. Lett. 108 , 130501 (2012)]},
 pages = {0109},
 volume = {109},
 number = {26},
 issn = {1533-7146},
 journal = {Physical review letters},
 doi = {10.1103/PhysRevLett.109.269902}
}


@incollection{Yan.2015,
 author = {Yan, Song Y.},
 title = {Quantum Algorithms for Integer Factorization},
 pages = {59--119},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-25821-8},
 editor = {Yan, Song Y.},
 booktitle = {Quantum Computational Number Theory},
 year = {2015},
 address = {Cham},
 doi = {10.1007/978-3-319-25823-2{\textunderscore }3}
}


@book{Yan.2015b,
 year = {2015},
 title = {Quantum Computational Number Theory},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-25821-8},
 editor = {Yan, Song Y.},
 doi = {10.1007/978-3-319-25823-2}
}


@misc{Roth.2015,
 author = {Roth, Stephan},
 year = {2015},
 title = {Was ist eigentlich ein System of Systems?},
 url = {https://roth-soft.de/systems-engineering/was-ist-ein-system-of-systems/},
 urldate = {31.7.2019}
}


@book{Goos.1994,
 year = {1994},
 title = {Algorithmic Number Theory},
 address = {Berlin, Heidelberg},
 publisher = {{Springer Berlin Heidelberg}},
 isbn = {978-3-540-58691-3},
 series = {Lecture Notes in Computer Science},
 editor = {Goos, Gerhard and Hartmanis, Juris and {van Leeuwen}, Jan and Adleman, Leonard M. and Huang, Ming-Deh},
 doi = {10.1007/3-540-58691-1}
}


@article{Zdun.2007,
 author = {Zdun, Uwe},
 year = {2007},
 title = {Systematic pattern selection using pattern language grammars and design space analysis},
 pages = {983--1016},
 volume = {37},
 number = {9},
 journal = {Software: Practice and Experience}
}


@article{Gheorghiu.2019,
 author = {Gheorghiu, Alexandru and Kapourniotis, Theodoros and Kashefi, Elham},
 year = {2019},
 title = {Verification of Quantum Computation: An Overview of Existing Approaches},
 pages = {715--808},
 volume = {63},
 number = {4},
 issn = {1432-4350},
 journal = {Theory of Computing Systems},
 doi = {10.1007/s00224-018-9872-3}
}


@proceedings{.2017,
 year = {2017},
 title = {Proceedings of the 9th International Conference on Pervasive Patterns and Applications}
}


@misc{.2018,
 year = {2018},
 title = {Shor's quantum factoring algorithm},
 url = {https://leftasexercise.com/2018/11/26/shors-quantum-factoring-algorithm/},
 urldate = {24.6.2019}
}


@misc{.2018b,
 year = {2018},
 title = {The quantum Fourier Transform},
 url = {https://leftasexercise.com/2018/11/12/the-quantum-fourier-transform/},
 urldate = {24.6.2019}
}


@misc{.2019,
 year = {2019},
 title = {Implementing the quantum Fourier transform with Qiskit},
 url = {https://leftasexercise.com/2019/02/25/implementing-the-quantum-fourier-transform-with-qiskit/},
 urldate = {24.6.2019}
}


@book{Adamatzky.2017,
 abstract = {Volume 1. Theory -- volume 2. Prototypes, models and algorithms

{\textquotedbl}The encyclopedia, the first ever complete authoritative account, of the theoretical and experimental findings in the unconventional computing written by the world leaders in the field. All chapters are self-contains, no specialist background is required to appreciate ideas, findings, constructs and designs presented.{\textquotedbl}--Publisher's website},
 year = {2017},
 title = {Advances in unconventional computing},
 price = {v. 1},
 keywords = {Computer science;Mathematics},
 address = {Switzerland},
 volume = {volume 22-23},
 publisher = {Springer},
 isbn = {978-3-319-33923-8},
 series = {Emergence, Complexity and Computation},
 editor = {Adamatzky, Andrew},
 doi = {10.1007/978-3-319-33924-5}
}


@incollection{Anticoli.2016,
 author = {Anticoli, Linda and Piazza, Carla and Taglialegne, Leonardo and Zuliani, Paolo},
 title = {Towards Quantum Programs Verification: From Quipper Circuits to QPMC},
 pages = {213--219},
 volume = {9720},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-40577-3},
 series = {Lecture Notes in Computer Science},
 editor = {Devitt, Simon and Lanese, Ivan},
 booktitle = {Reversible Computation},
 year = {2016},
 address = {Cham},
 doi = {10.1007/978-3-319-40578-0{\textunderscore }16}
}


@proceedings{Backhouse.2000,
 abstract = {In this paper a programming language, qGCL, is presented for the expression of quantum algorithms. It contains the features required to program a `universal' quantum computer (including initialisation and observation), has a formal semantics and body of laws, and provides a refinement calculus supporting the verification and derivation of programs against their specifications. A representative selection of quantum algorithms are expressed in the language and one of them is derived from its specification.},
 year = {2000},
 title = {Quantum Programming: Mathematics of Program Construction},
 publisher = {{Springer Berlin Heidelberg}},
 isbn = {978-3-540-45025-2},
 editor = {Backhouse, Roland and Oliveira, Jos{\'e} Nuno and Sanders, J. W. and Zuliani, P.}
}


@misc{CarmeloRCartiere.,
 author = {{Carmelo R Cartiere}},
 date = {2016},
 title = {Quantum Software Engineering: Introducing Formal Methods into Quantum Computing},
 publisher = {Unpublished},
 doi = {10.13140/RG.2.2.13599.56486/6}
}


@book{Castor.2016,
 year = {2016},
 title = {Programming languages: 20th Brazilian Symposium, SBLP 2016, Maring{\'a}, Brazil, September 22-23, 2016 : proceedings},
 address = {Cham},
 volume = {9889},
 publisher = {Springer},
 isbn = {978-3-319-45278-4},
 series = {Lecture Notes in Computer Science},
 editor = {Castor, Fernando and Liu, Yu David},
 doi = {10.1007/978-3-319-45279-1}
}


@incollection{Golliver.1994,
 author = {Golliver, Roger A. and Lenstra, Arjen K. and McCurley, Kevin S.},
 title = {Lattice sieving and trial division},
 pages = {18--27},
 volume = {877},
 publisher = {{Springer Berlin Heidelberg}},
 isbn = {978-3-540-58691-3},
 series = {Lecture Notes in Computer Science},
 editor = {Goos, Gerhard and Hartmanis, Juris and {van Leeuwen}, Jan and Adleman, Leonard M. and Huang, Ming-Deh},
 booktitle = {Algorithmic Number Theory},
 year = {1994},
 address = {Berlin, Heidelberg},
 doi = {10.1007/3-540-58691-1{\textunderscore }38}
}


@incollection{daSilvaFeitosa.2016,
 author = {{da Silva Feitosa}, Samuel and Vizzotto, Juliana Kaizer and Piveta, Eduardo Kessler and {Du Bois}, Andre Rauber},
 title = {A Monadic Semantics for Quantum Computing in Featherweight Java},
 pages = {31--45},
 volume = {9889},
 publisher = {Springer},
 isbn = {978-3-319-45278-4},
 series = {Lecture Notes in Computer Science},
 editor = {Castor, Fernando and Liu, Yu David},
 booktitle = {Programming languages},
 year = {2016},
 address = {Cham},
 doi = {10.1007/978-3-319-45279-1{\textunderscore }3}
}


@book{Danaev.2015,
 year = {2015},
 title = {Mathematical Modeling of Technological Processes},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-25057-1},
 series = {Communications in Computer and Information Science},
 editor = {Danaev, Nargozy and Shokin, Yurii and Darkhan, Akhmed-Zaki},
 doi = {10.1007/978-3-319-25058-8}
}


@book{Devitt.2016,
 year = {2016},
 title = {Reversible Computation},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-40577-3},
 series = {Lecture Notes in Computer Science},
 editor = {Devitt, Simon and Lanese, Ivan},
 doi = {10.1007/978-3-319-40578-0}
}


@misc{Coles.10.04.2018,
 abstract = {As quantum computers have become available to the general public, the need has arisen to train a cohort of quantum programmers, many of whom have been developing classic computer programs for most of their career. While currently available quantum computers have less than 100 qubits, quantum computer hardware is widely expected to grow in terms of qubit counts, quality, and connectivity. Our article aims to explain the principles of quantum programming, which are quite different from classical programming, with straight-forward algebra that makes understanding the underlying quantum mechanics optional (but still fascinating). We give an introduction to quantum computing algorithms and their implementation on real quantum hardware. We survey 20 different quantum algorithms, attempting to describe each in a succintc and self-contained fashion; we show how they are implemented on IBM's quantum computer; and in each case we discuss the results of the implementation with respect to differences of the simulator and the actual hardware runs. This article introduces computer scientists and engineers to quantum algorithms and provides a blueprint for their implementations.},
 author = {Coles, Patrick J. and Eidenbenz, Stephan and Pakin, Scott and Adedoyin, Adetokunbo and Ambrosiano, John and Anisimov, Petr and Casper, William and Chennupati, Gopinath and Coffrin, Carleton and Djidjev, Hristo and Gunter, David and Karra, Satish and Lemons, Nathan and Lin, Shizeng and Lokhov, Andrey and Malyzhenkov, Alexander and Mascarenas, David and Mniszewski, Susan and Nadiga, Balu and O'Malley, Dan and Oyen, Diane and Prasad, Lakshman and Roberts, Randy and Romero, Phil and Santhi, Nandakishore and Sinitsyn, Nikolai and Swart, Pieter and Vuffray, Marc and Wendelberger, Jim and Yoon, Boram and Zamora, Richard and Zhu, Wei},
 date = {10.04.2018},
 title = {Quantum Algorithm Implementations for Beginners},
 url = {http://arxiv.org/pdf/1804.03719v1}
}


@book{Geffert.2008,
 year = {2008},
 title = {SOFSEM 2008: theory and practice of computer science: 34th Conference on Current Trends in Theory and Practice of Computer Science, Nov{\'y} Smokovec, Slovakia, January 19 - 25, 2008 ; proceedings},
 price = {ca. EUR 93.09 (freier Pr.)},
 keywords = {Berechnungstheorie;Computer software;Computers;Computersicherheit;Congresses;Datensicherung;Datenverwaltung;Evolutionsstrategie;Informatik;Komplexes System;Rechnernetz;Star{\'y} Smokovec {\textless}2008{\textgreater};World Wide Web},
 address = {Berlin},
 volume = {4910},
 publisher = {Springer},
 isbn = {978-3-540-77565-2},
 series = {Lecture Notes in Computer Science},
 editor = {Geffert, Villiam and Karhum{\"a}ki, Juhani and Bertoni, Alberto and Preneel, Bart and N{\'a}vrat, Pavol and Bielikov{\'a}, M{\'a}ria},
 doi = {10.1007/978-3-540-77566-9}
}


@inproceedings{Falkenthal.2017,
 author = {Falkenthal, Michael and Leymann, Frank},
 title = {Easing pattern application by means of solution languages},
 pages = {58--64},
 booktitle = {Proceedings of the 9th International Conference on Pervasive Patterns and Applications},
 year = {2017}
}


@book{Dillig.2019,
 year = {2019},
 title = {Computer Aided Verification},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-030-25542-8},
 series = {Lecture Notes in Computer Science},
 editor = {Dillig, Isil and Tasiran, Serdar},
 doi = {10.1007/978-3-030-25543-5}
}


@article{Dr.ChristianSeidel.,
 author = {{Dr. Christian Seidel}},
 title = {Traffic Flow Optimisation using the D-Wave Quantum Annealer}
}


@book{Aigner.2016,
 year = {2016},
 title = {Alles Mathematik},
 address = {Wiesbaden},
 publisher = {{Springer Fachmedien Wiesbaden}},
 isbn = {978-3-658-09989-3},
 editor = {Aigner, Martin and Behrends, Ehrhard},
 doi = {10.1007/978-3-658-09990-9}
}


@article{AudeCraik.2014,
 author = {{Aude Craik}, D. P. L. and Linke, N. M. and Harty, T. P. and Ballance, C. J. and Lucas, D. M. and Steane, A. M. and Allcock, D. T. C.},
 year = {2014},
 title = {Microwave control electrodes for scalable, parallel, single-qubit operations in a surface-electrode ion trap},
 pages = {3--10},
 volume = {114},
 number = {1-2},
 issn = {0946-2171},
 journal = {Applied Physics B},
 doi = {10.1007/s00340-013-5716-7}
}


@incollection{Behrends.2016,
 author = {Behrends, Ehrhard},
 title = {Wie rechnen Quanten? Die neue Welt der Quantencomputer},
 pages = {235--246},
 publisher = {{Springer Fachmedien Wiesbaden}},
 isbn = {978-3-658-09989-3},
 editor = {Aigner, Martin and Behrends, Ehrhard},
 booktitle = {Alles Mathematik},
 year = {2016},
 address = {Wiesbaden},
 doi = {10.1007/978-3-658-09990-9{\textunderscore }15}
}


@book{Brands.2011,
 author = {Brands, Gilbert},
 year = {2011},
 title = {Einf{\"u}hrung in die Quanteninformatik: Quantenkryptografie, Teleportation und Quantencomputing},
 keywords = {Quantencomputer;Quantenkryptologie;Quantenteleportation},
 address = {Berlin, Heidelberg},
 publisher = {{Springer Berlin Heidelberg}},
 isbn = {9783642206474}
}


@incollection{Calude.2017,
 author = {Calude, Cristian S. and Dinneen, Michael J.},
 title = {Solving the Broadcast Time Problem Using a D-wave Quantum Computer},
 pages = {439--453},
 volume = {22},
 publisher = {Springer},
 isbn = {978-3-319-33923-8},
 series = {Emergence, Complexity and Computation},
 editor = {Adamatzky, Andrew},
 booktitle = {Advances in unconventional computing},
 year = {2017},
 address = {Switzerland},
 doi = {10.1007/978-3-319-33924-5{\textunderscore }17}
}


@article{Cirac.1995,
 author = {Cirac and Zoller},
 year = {1995},
 title = {Quantum Computations with Cold Trapped Ions},
 pages = {4091--4094},
 volume = {74},
 number = {20},
 journal = {Physical review letters},
 doi = {10.1103/PhysRevLett.74.4091}
}


@article{Dickson.2013,
 abstract = {Efforts to develop useful quantum computers have been blocked primarily by environmental noise. Quantum annealing is a scheme of quantum computation that is predicted to be more robust against noise, because despite the thermal environment mixing the system's state in the energy basis, the system partially retains coherence in the computational basis, and hence is able to establish well-defined eigenstates. Here we examine the environment's effect on quantum annealing using 16 qubits of a superconducting quantum processor. For a problem instance with an isolated small-gap anticrossing between the lowest two energy levels, we experimentally demonstrate that, even with annealing times eight orders of magnitude longer than the predicted single-qubit decoherence time, the probabilities of performing a successful computation are similar to those expected for a fully coherent system. Moreover, for the problem studied, we show that quantum annealing can take advantage of a thermal environment to achieve a speedup factor of up to 1,000 over a closed system.},
 author = {Dickson, N. G. and Johnson, M. W. and Amin, M. H. and Harris, R. and Altomare, F. and Berkley, A. J. and Bunyk, P. and Cai, J. and Chapple, E. M. and Chavez, P. and Cioata, F. and Cirip, T. and Debuen, P. and Drew-Brook, M. and Enderud, C. and Gildert, S. and Hamze, F. and Hilton, J. P. and Hoskinson, E. and Karimi, K. and Ladizinsky, E. and Ladizinsky, N. and Lanting, T. and Mahon, T. and Neufeld, R. and Oh, T. and Perminov, I. and Petroff, C. and Przybysz, A. and Rich, C. and Spear, P. and Tcaciuc, A. and Thom, M. C. and Tolkacheva, E. and Uchaikin, S. and Wang, J. and Wilson, A. B. and Merali, Z. and Rose, G.},
 year = {2013},
 title = {Thermally assisted quantum annealing of a 16-qubit problem},
 pages = {1903},
 volume = {4},
 journal = {Nature communications},
 doi = {10.1038/ncomms2920}
}


@incollection{Ewald.2019,
 author = {Ewald, Robert H.},
 title = {An Introduction to Quantum Computing and Its Application},
 pages = {3--8},
 volume = {11413},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-030-14081-6},
 series = {Lecture Notes in Computer Science},
 editor = {Feld, Sebastian and Linnhoff-Popien, Claudia},
 booktitle = {Quantum Technology and Optimization Problems},
 year = {2019},
 address = {Cham},
 doi = {10.1007/978-3-030-14082-3{\textunderscore }1}
}


@book{Feld.2019,
 year = {2019},
 title = {Quantum Technology and Optimization Problems},
 address = {Cham},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-030-14081-6},
 series = {Lecture Notes in Computer Science},
 editor = {Feld, Sebastian and Linnhoff-Popien, Claudia},
 doi = {10.1007/978-3-030-14082-3}
}


@article{Feynman.1986,
 author = {Feynman, Richard P.},
 year = {1986},
 title = {Quantum mechanical computers},
 pages = {507--531},
 volume = {16},
 number = {6},
 issn = {0015-9018},
 journal = {Foundations of Physics},
 doi = {10.1007/BF01886518}
}


@article{Geller.2013,
 author = {Geller, Michael R. and Zhou, Zhongyuan},
 year = {2013},
 title = {Factoring 51 and 85 with 8 qubits},
 url = {https://doi.org/10.1038/srep03023},
 pages = {3023  EP  -},
 volume = {3},
 journal = {Scientific Reports},
 doi = {10.1038/srep03023}
}


@book{Grumbling.2019,
 author = {Grumbling, Emily and Horowitz, Mark},
 year = {2019},
 title = {Quantum Computing: Progress and Prospects},
 address = {Washington, D.C.},
 publisher = {{National Academies Press}},
 isbn = {978-0-309-47969-1},
 doi = {10.17226/25196}
}


@article{Hertrampf.2000,
 author = {Hertrampf, Ulrich},
 year = {2000},
 title = {Quantencomputer},
 pages = {322--324},
 volume = {23},
 number = {5},
 issn = {0170-6012},
 journal = {Informatik-Spektrum},
 doi = {10.1007/s002870000121}
}


@incollection{Kirke.2017,
 author = {Kirke, Alexis and Miranda, Eduardo R.},
 title = {Experiments in Sound and Music Quantum Computing},
 pages = {121--157},
 volume = {91},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-319-49880-5},
 editor = {Miranda, Eduardo Reck},
 booktitle = {Guide to Unconventional Computing for Music},
 year = {2017},
 address = {Cham},
 doi = {10.1007/978-3-319-49881-2{\textunderscore }5}
}


@incollection{Leymann.2019,
 author = {Leymann, Frank},
 title = {Towards a Pattern Language for Quantum Algorithms},
 pages = {218--230},
 volume = {11413},
 publisher = {{Springer International Publishing}},
 isbn = {978-3-030-14081-6},
 series = {Lecture Notes in Computer Science},
 editor = {Feld, Sebastian and Linnhoff-Popien, Claudia},
 booktitle = {Quantum Technology and Optimization Problems},
 year = {2019},
 address = {Cham},
 doi = {10.1007/978-3-030-14082-3{\textunderscore }19}
}


@article{Lucero.2012,
 author = {Lucero, Erik and Barends, R. and Chen, Y. and Kelly, J. and Mariantoni, M. and Megrant, A. and O'Malley, P. and Sank, D. and Vainsencher, A. and Wenner, J. and White, T. and Yin, Y. and Cleland, A. N. and Martinis, John M.},
 year = {2012},
 title = {Computing prime factors with a Josephson phase qubit quantum processor},
 url = {https://doi.org/10.1038/nphys2385},
 pages = {719  EP  -},
 volume = {8},
 journal = {Nature Physics},
 doi = {10.1038/nphys2385}
}


@misc{Mahadev.03.04.2018,
 abstract = {We present the first protocol allowing a classical computer to interactively verify the result of an efficient quantum computation. We achieve this by constructing a measurement protocol, which enables a classical verifier to use a quantum prover as a trusted measurement device. The protocol forces the prover to behave as follows: the prover must construct an n qubit state of his choice, measure each qubit in the Hadamard or standard basis as directed by the verifier, and report the measurement results to the verifier. The soundness of this protocol is enforced based on the assumption that the learning with errors problem is computationally intractable for efficient quantum machines.},
 author = {Mahadev, Urmila},
 date = {03.04.2018},
 title = {Classical Verification of Quantum Computations},
 url = {http://arxiv.org/pdf/1804.01082v2}
}


@article{Neukart.2017,
 author = {Neukart, Florian and Compostella, Gabriele and Seidel, Christian and von Dollen, David and Yarkoni, Sheir and Parney, Bob},
 year = {2017},
 title = {Traffic Flow Optimization Using a Quantum Annealer},
 pages = {126},
 volume = {4},
 journal = {Frontiers in ICT},
 doi = {10.3389/fict.2017.00029}
}


@article{Neukart.2018,
 author = {Neukart, Florian and von Dollen, David and Seidel, Christian and Compostella, Gabriele},
 year = {2018},
 title = {Quantum-Enhanced Reinforcement Learning for Finite-Episode Games with Discrete State Spaces},
 pages = {022308},
 volume = {5},
 journal = {Frontiers in Physics},
 doi = {10.3389/fphy.2017.00071}
}


@article{Nyman.2011,
 author = {Nyman, R. A. and Scheel, S. and Hinds, E. A.},
 year = {2011},
 title = {Prospects for using integrated atom-photon junctions for quantum information processing},
 pages = {941--953},
 volume = {10},
 number = {6},
 issn = {1570-0755},
 journal = {Quantum Information Processing},
 doi = {10.1007/s11128-011-0298-y}
}


@book{Silva.2018,
 year = {2018},
 title = {Practical Quantum Computing for Developers},
 address = {Berkeley, CA},
 publisher = {Apress},
 isbn = {978-1-4842-4217-9},
 editor = {Silva, Vladimir},
 doi = {10.1007/978-1-4842-4218-6}
}


@article{Vandersypen.2001,
 abstract = {The number of steps any classical computer requires in order to find the prime factors of an l-digit integer N increases exponentially with l, at least using algorithms known at present1. Factoring large integers is therefore conjectured to be intractable classically, an observation underlying the security of widely used cryptographic codes1,2. Quantum computers3, however, could factor integers in only polynomial time, using Shor's quantum factoring algorithm4,5,6. Although important for the study of quantum computers7, experimental demonstration of this algorithm has proved elusive8,9,10. Here we report an implementation of the simplest instance of Shor's algorithm: factorization of N = 15 (whose prime factors are 3 and 5). We use seven spin-1/2 nuclei in a molecule as quantum bits11,12, which can be manipulated with room temperature liquid-state nuclear magnetic resonance techniques. This method of using nuclei to store quantum information is in principle scalable to systems containing many quantum bits13, but such scalability is not implied by the present work. The significance of our work lies in the demonstration of experimental and theoretical techniques for precise control and modelling of complex quantum computers. In particular, we present a simple, parameter-free but predictive model of decoherence effects14 in our system.},
 author = {Vandersypen, Lieven M. K. and Steffen, Matthias and Breyta, Gregory and Yannoni, Costantino S. and Sherwood, Mark H. and Chuang, Isaac L.},
 year = {2001},
 title = {Experimental realization of Shor's quantum factoring algorithm using nuclear magnetic resonance},
 url = {https://doi.org/10.1038/414883a},
 pages = {883--887},
 volume = {414},
 number = {6866},
 issn = {1476-4687},
 journal = {Nature},
 doi = {10.1038/414883a}
}


@incollection{Williams.2011,
 author = {Williams, Colin P.},
 title = {Quantum Gates},
 pages = {51--122},
 volume = {449},
 publisher = {{Springer London}},
 isbn = {978-1-84628-886-9},
 series = {Texts in Computer Science},
 editor = {Williams, Colin P.},
 booktitle = {Explorations in Quantum Computing},
 year = {2011},
 address = {London},
 doi = {10.1007/978-1-84628-887-6{\textunderscore }2}
}


@article{Wu.2017,
 author = {Wu, FangZhou and Yang, GuoJian and Wang, HaiBo and Xiong, Jun and Alzahrani, Faris and Hobiny, Aatef and Deng, FuGuo},
 year = {2017},
 title = {High-capacity quantum secure direct communication with two-photon six-qubit hyperentangled states},
 pages = {175},
 volume = {60},
 number = {12},
 issn = {1674-7348},
 journal = {Science China Physics, Mechanics {\&} Astronomy},
 doi = {10.1007/s11433-017-9100-9}
}


@article{Yarkoni.2019,
 author = {Yarkoni, Sheir and Leib, Martin and Skolik, Andrea and Streif, Michael and Neukart, Florian and von Dollen, David},
 year = {2019},
 title = {Volkswagen and quantum computing: An industrial perspective},
 pages = {34--37},
 volume = {3},
 number = {2},
 journal = {Digitale Welt},
 doi = {10.1007/s42354-019-0166-y}
}


